Tspi_Context_GetTpmObject(3)

TCG Software Stack Developers Reference

NAME
Context_GetTpmObject - get the handle of the TPM object associated with a context.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_GetTpmObject(TSS_HCONTEXT hContext, TSS_HTPM* phTPM);

DESCRIPTION

Tspi_Context_GetTpmObject retrieves the TPM object of a context. Only one instance of this object exists for a given context and implicitly represents a TPM owner. This function is normally called at the beginning of a program, right after the context is established. You must have a context established prior to calling this function.

PARAMETERS

  hContext
The hContext parameter is the handle of the context object (already existing).

  phTPM
The phTPM parameter is a pointer to where the handle of the TPM will be placed.

RETURN CODES

Tspi_Context_GetTpmObject returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more of the parameters is incorrect.

CONFORMING TO

Tspi_Context_GetTpmObject conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Create(3), Tspi_Context_Connect(3), Tspi_Context_FreeMemory(3), Tspi_Context_Close(3).